import { BinaryReader, BinaryWriter } from "../../../binary";
import { DeepPartial } from "../../../helpers";
/**
 * QueryGetCountRequest defines the request type for querying x/mock count.
 * @name QueryGetCountRequest
 * @package cosmos.counter.v1
 * @see proto type: cosmos.counter.v1.QueryGetCountRequest
 */
export interface QueryGetCountRequest {
}
export interface QueryGetCountRequestProtoMsg {
    typeUrl: "/cosmos.counter.v1.QueryGetCountRequest";
    value: Uint8Array;
}
/**
 * QueryGetCountRequest defines the request type for querying x/mock count.
 * @name QueryGetCountRequestAmino
 * @package cosmos.counter.v1
 * @see proto type: cosmos.counter.v1.QueryGetCountRequest
 */
export interface QueryGetCountRequestAmino {
}
export interface QueryGetCountRequestAminoMsg {
    type: "cosmos-sdk/QueryGetCountRequest";
    value: QueryGetCountRequestAmino;
}
/**
 * QueryGetCountResponse defines the response type for querying x/mock count.
 * @name QueryGetCountResponse
 * @package cosmos.counter.v1
 * @see proto type: cosmos.counter.v1.QueryGetCountResponse
 */
export interface QueryGetCountResponse {
    totalCount: bigint;
}
export interface QueryGetCountResponseProtoMsg {
    typeUrl: "/cosmos.counter.v1.QueryGetCountResponse";
    value: Uint8Array;
}
/**
 * QueryGetCountResponse defines the response type for querying x/mock count.
 * @name QueryGetCountResponseAmino
 * @package cosmos.counter.v1
 * @see proto type: cosmos.counter.v1.QueryGetCountResponse
 */
export interface QueryGetCountResponseAmino {
    total_count: string;
}
export interface QueryGetCountResponseAminoMsg {
    type: "cosmos-sdk/QueryGetCountResponse";
    value: QueryGetCountResponseAmino;
}
/**
 * QueryGetCountRequest defines the request type for querying x/mock count.
 * @name QueryGetCountRequest
 * @package cosmos.counter.v1
 * @see proto type: cosmos.counter.v1.QueryGetCountRequest
 */
export declare const QueryGetCountRequest: {
    typeUrl: string;
    aminoType: string;
    is(o: any): o is QueryGetCountRequest;
    isAmino(o: any): o is QueryGetCountRequestAmino;
    encode(_: QueryGetCountRequest, writer?: BinaryWriter): BinaryWriter;
    decode(input: BinaryReader | Uint8Array, length?: number): QueryGetCountRequest;
    fromPartial(_: DeepPartial<QueryGetCountRequest>): QueryGetCountRequest;
    fromAmino(_: QueryGetCountRequestAmino): QueryGetCountRequest;
    toAmino(_: QueryGetCountRequest): QueryGetCountRequestAmino;
    fromAminoMsg(object: QueryGetCountRequestAminoMsg): QueryGetCountRequest;
    toAminoMsg(message: QueryGetCountRequest): QueryGetCountRequestAminoMsg;
    fromProtoMsg(message: QueryGetCountRequestProtoMsg): QueryGetCountRequest;
    toProto(message: QueryGetCountRequest): Uint8Array;
    toProtoMsg(message: QueryGetCountRequest): QueryGetCountRequestProtoMsg;
    registerTypeUrl(): void;
};
/**
 * QueryGetCountResponse defines the response type for querying x/mock count.
 * @name QueryGetCountResponse
 * @package cosmos.counter.v1
 * @see proto type: cosmos.counter.v1.QueryGetCountResponse
 */
export declare const QueryGetCountResponse: {
    typeUrl: string;
    aminoType: string;
    is(o: any): o is QueryGetCountResponse;
    isAmino(o: any): o is QueryGetCountResponseAmino;
    encode(message: QueryGetCountResponse, writer?: BinaryWriter): BinaryWriter;
    decode(input: BinaryReader | Uint8Array, length?: number): QueryGetCountResponse;
    fromPartial(object: DeepPartial<QueryGetCountResponse>): QueryGetCountResponse;
    fromAmino(object: QueryGetCountResponseAmino): QueryGetCountResponse;
    toAmino(message: QueryGetCountResponse): QueryGetCountResponseAmino;
    fromAminoMsg(object: QueryGetCountResponseAminoMsg): QueryGetCountResponse;
    toAminoMsg(message: QueryGetCountResponse): QueryGetCountResponseAminoMsg;
    fromProtoMsg(message: QueryGetCountResponseProtoMsg): QueryGetCountResponse;
    toProto(message: QueryGetCountResponse): Uint8Array;
    toProtoMsg(message: QueryGetCountResponse): QueryGetCountResponseProtoMsg;
    registerTypeUrl(): void;
};
